using System;
using System.Collections.Generic;
using System.Text;
using Umdf.SideShow.Events;
using Umdf.SideShow.Contents;

namespace Umdf.SideShow.PocketPC
{
    public interface IPocketPCChannel
    {
        void AddApplication(SideShowApplication app);
        void AddContent(Guid applicationId, Guid sideShowEndpointId, Content newContent);
        void RemoveApplication(Guid appId);
        void RemoveContent(Guid applicationId, Guid sideShowEndpointId, uint removedContentId);
        void Initialize();
        void Deinitialize();
    }
}
