using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;

namespace PocketPCSideShowClient
{
    public partial class ConfigSettings : UserControl
    {
        public event EventHandler Connect;

        public ConfigSettings()
        {
            InitializeComponent();
        }

        public string HostName
        {
            get { return txtHostName.Text; }
            set { txtHostName.Text = value; }
        }

        protected void OnConnect()
        {
            if (Connect != null)
            {
                Connect(this, EventArgs.Empty);
            }
        }

        private void btnConnect_Click(object sender, EventArgs e)
        {
            OnConnect();
        }
    }
}
