using System;
using System.Collections.Generic;
using System.Text;
using Umdf.ComInterop;

namespace Umdf.SideShow.Properties
{
    public enum SideShowScreenType
    {
        Bitmap,
        Text
    }

    [PropertyId(SideShowConstants.DeviceCapabilityPropertiesFormatId, 2)]
    public class ScreenTypeCapability : DeviceCapability<SideShowScreenType>
    {
        public ScreenTypeCapability(SideShowScreenType value)
            : base(value)
        {
        }
    }
}
