using System;
using System.Collections.Generic;
using System.Text;

namespace Umdf.SideShow
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple=false, Inherited=false)]
    public class SideShowDeviceMetadataAttribute : Attribute
    {
        private string _name;
        private string _manufacturer;
        private string _version;

        public SideShowDeviceMetadataAttribute(string name, string manufacturer, string version)
        {
            _name = name;
            _manufacturer = manufacturer;
            _version = version;
        }

        public string Name
        {
            get { return _name; }
        }

        public string Manufacturer
        {
            get { return _manufacturer; }
        }

        public string Version
        {
            get { return _version; }
        }
    }
}
