using System;
using System.Collections.Generic;
using System.Text;
using System.IO;
using System.Xml.Serialization;
using System.Xml;

namespace Umdf.SideShow
{
    public abstract class SideShowObject
    {
        public void Serialize(BinaryWriter writer)
        {
            SerializeObject(writer);
        }

        public void Deserialize(BinaryReader reader)
        {
            Deserialize(reader);
        }

        protected internal virtual void SerializeObject(BinaryWriter writer)
        {
        }

        protected internal virtual void DeserializeObject(BinaryReader reader)
        {
        }

        
    }
}
