using System;
using System.Collections.Generic;
using System.Text;

namespace Umdf.SideShow
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple=true, Inherited=false)]
    public class SideShowSupportedEndpointAttribute : Attribute
    {
        //private Type _endpointType;
        private Guid _endpointId;

        public SideShowSupportedEndpointAttribute(string endpointId)
        {
            _endpointId = new Guid(endpointId);
            /*
            if (!endpointType.IsSubclassOf(typeof(SideShowEndpoint)))
            {
                throw new ArgumentException("Type " + endpointType.FullName + " is not derived from SideShowEndpoint.");
            }
            _endpointType = endpointType;
            _endpointId = SideShowEndpoint.GetEndpointId(_endpointType);
             */
        }
        /*
        public Type EndpointType
        {
            get { return _endpointType; }
        }
        */
        public Guid EndpointId
        {
            get { return _endpointId; }
        }

        /*
        public SideShowEndpoint CreateEndpoint()
        {
            return (SideShowEndpoint)Activator.CreateInstance(_endpointType);
        }
         */
    }
}
