using System;
using System.Collections.Generic;
using System.Text;

namespace Serialization
{
    public class SerializationMemberInfo
    {
        private string _name;
        private object _value;
        private Type _type;

        public SerializationMemberInfo(string name, object value, Type type)
        {
            _name = name;
            _value = value;
            _type = type;
        }

        public string Name
        {
            get { return _name; }
        }

        public object Value
        {
            get { return _value; }
        }

        public Type Type
        {
            get { return _type; }
        }
    }
}
