namespace SideShow.Driver.ComInterop
{
    using System;
    using System.Runtime.InteropServices;

    [StructLayout(LayoutKind.Sequential, Pack=4)]
    public struct SideShowTimeZoneInformation
    {
        public int Bias;
        [MarshalAs(UnmanagedType.ByValArray, SizeConst=0x20)]
        public char[] StandardName;
        public SystemTime StandardDate;
        public int StandardBias;
        [MarshalAs(UnmanagedType.ByValArray, SizeConst=0x20)]
        public char[] DaylightName;
        public SystemTime DaylightDate;
        public int DaylightBias;
    }
}

