using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Runtime.CompilerServices;

namespace SideShow.Driver.ComInterop
{
    [ComImport, TypeLibType((short)0x200), InterfaceType((short)1), Guid("C3072620-1DA6-48FB-B4FE-ED652B16AEB2")]
    public interface IQueueCallbackRead
    {
        [PreserveSig, MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
        void OnRead([In, MarshalAs(UnmanagedType.Interface)] IWDFIoQueue pWdfQueue, [In, MarshalAs(UnmanagedType.Interface)] IWDFIoRequest pWdfRequest, [In, ComAliasName("PocketPCUMDFDriverLib.ULONG_PTR")] uint NumOfBytesToRead);
    }

 

}
