using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.InteropServices;
using System.Runtime.CompilerServices;

namespace SideShow.Driver.ComInterop
{
    [ComImport, Guid("4888CBC5-3FA2-4EA3-89A3-C20ED6E04778"), TypeLibType((short)0x200), InterfaceType((short)1)]
    public interface IQueueCallbackWrite
    {
        [PreserveSig, MethodImpl(MethodImplOptions.InternalCall, MethodCodeType = MethodCodeType.Runtime)]
        void OnWrite([In, MarshalAs(UnmanagedType.Interface)] IWDFIoQueue pWdfQueue, [In, MarshalAs(UnmanagedType.Interface)] IWDFIoRequest pWdfRequest, [In, ComAliasName("PocketPCUMDFDriverLib.ULONG_PTR")] uint NumOfBytesToWrite);
    }

 

 

}
