using System;
using System.Collections.Generic;
using System.Text;
using SideShow.Events;
using SideShow.Contents;

namespace SideShow.Channel
{
    public interface IServerChannel
    {
        void AddApplication(SideShowApplication app);
        void AddContent(Guid applicationId, Guid sideShowEndpointId, Content newContent);
        void RemoveApplication(Guid appId);
        void RemoveContent(Guid applicationId, Guid sideShowEndpointId, uint removedContentId);
        void Initialize();
        void Deinitialize();
    }
}
