using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SideShow.Events
{
    [Serializable]
    public class ApplicationEnterEvent : ApplicationEvent
    {
        public ApplicationEnterEvent()
        {
        }

        public ApplicationEnterEvent(Guid applicationId, Guid endpointId)
            : base(applicationId, endpointId, SideShowEvents.SIDESHOW_EVENTID_APPLICATION_ENTER)
        {
        }

        protected override int EventDataSize
        {
            get { return 0; }
        }

        
    }
}
