using System;
using System.Collections.Generic;
using System.Text;
using System.IO;

namespace SideShow.Events
{
    [Serializable]
    public class ApplicationExitEvent : ApplicationEvent
    {
        public ApplicationExitEvent()
        {
        }

        public ApplicationExitEvent(Guid applicationId, Guid endpointId)
            : base(applicationId, endpointId, SideShowEvents.SIDESHOW_EVENTID_APPLICATION_EXIT)
        {
        }

        protected override int EventDataSize
        {
            get { return 0; }
        }
    }
}
