using System;
using System.Collections.Generic;
using System.Text;

namespace SideShow.Events
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple = false, Inherited = true)]
    public class EventIdAttribute : Attribute
    {
        private Guid _value;

        public EventIdAttribute(string eventId)
        {
            _value = new Guid(eventId);
        }

        public Guid Value
        {
            get { return _value; }
        }
    }
}
