using System;
using System.Collections.Generic;
using System.Text;

namespace SideShow
{
    public static class SideShowConstants
    {
        public const string ScfFormat = "A9A5353F-2D4B-47ce-93EE-759F3A7DDA4F";
        public const string ICalFormat = "4DFF36B5-9DDE-4F76-9A2A-96435047063D";

        public static readonly Guid ScfFormatId = new Guid(ScfFormat);
        public static readonly Guid ICalFormatId = new Guid(ICalFormat);

        public const string DeviceCapabilityPropertiesFormatId = "8ABC88A8-857B-4ad7-A35A-B5942F492B99";


        public const uint CONTENT_ID_GLANCE = 0;
        public const uint CONTENT_ID_HOME = 1;
        

    }
}
