using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using Umdf.SideShow.Scf.ObjectModel;

namespace SideShowClient
{
    public partial class ScfUserControl : UserControl
    {
        private ScfObject _scfObject;
        private ScfNavigator _navigator;

        public ScfUserControl()
        {
        }

        public ScfUserControl(ScfNavigator navigator)
        {
            _navigator = navigator;
            InitializeComponent();
        }

        protected virtual void BindData()
        {
        }

        public ScfNavigator Navigator
        {
            get { return _navigator; }
        }

        public ScfObject ScfObject
        {
            get { return _scfObject; }
            set
            {
                if (_scfObject != value)
                {
                    _scfObject = value;
                    BindData();
                }
            }
        }


    }
}
