using System;
using System.Collections.Generic;
using System.Text;
using Umdf.ComInterop;

namespace Umdf.SideShow.Properties
{
    public enum SideShowColorType
    {
        Color = 0,
        Greyscale = 1,
        BlackAndWhite = 2
    }

    [PropertyId(SideShowConstants.DeviceCapabilityPropertiesFormatId, 6)]
    public class ColorTypeCapability : DeviceCapability<SideShowColorType>
    {
        public ColorTypeCapability(SideShowColorType value)
            : base(value)
        {
        }
    }
}
