using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;

namespace Umdf.SideShow
{
    public class SideShowNotification : SideShowObject
    {
        private int _id;
        private DateTime _expirationTime;
        private string _title;
        private string _message;
        private Image _image;

        public SideShowNotification(int id, DateTime expirationTime, string title, string message, Image image)
        {
            _id = id;
            _expirationTime = expirationTime;
            _title = title;
            _message = message;
            _image = image;
        }

        public int Id
        {
            get { return _id; }
        }

        public DateTime ExpirationTime
        {
            get { return _expirationTime; }
        }

        public string Title
        {
            get { return _title; }
        }

        public string Message
        {
            get { return _message; }
        }

        public Image Image
        {
            get { return _image; }
        }
    }
}
