using System;
using System.Collections.Generic;
using System.Text;
using System.Collections.ObjectModel;

namespace Serialization
{
    class SerializationMemberInfoCollection : KeyedCollection<string, SerializationMemberInfo>
    {

        protected override string GetKeyForItem(SerializationMemberInfo item)
        {
            if (item != null)
            {
                return item.Name;
            }
            return null;
        }
    }
}
