namespace SideShow.Driver.ComInterop
{
    using System;
    using System.Runtime.CompilerServices;
    using System.Runtime.InteropServices;

    [ComImport, TypeLibType((short) 0x200), Guid("707A2B42-69B8-4971-A49C-4031861E7AFF"), InterfaceType((short) 1)]
    public interface IWDFRequestCompletionParams
    {
        [MethodImpl(MethodImplOptions.InternalCall, MethodCodeType=MethodCodeType.Runtime)]
        void GetCompletionStatus();
        [return: ComAliasName("SideShow.Driver.ComInterop.ULONG_PTR")]
        [PreserveSig, MethodImpl(MethodImplOptions.InternalCall, MethodCodeType=MethodCodeType.Runtime)]
        uint GetInformation();
        [PreserveSig, MethodImpl(MethodImplOptions.InternalCall, MethodCodeType=MethodCodeType.Runtime)]
        _WDF_REQUEST_TYPE GetCompletedRequestType();
    }
}

