using System;
using System.Collections.Generic;
using System.Text;

namespace SideShow.Driver
{
    [AttributeUsage(AttributeTargets.Class, AllowMultiple=true, Inherited=false)]
    public class SideShowSupportedEndpointAttribute : Attribute
    {
        private Guid _endpointId;

        public SideShowSupportedEndpointAttribute(string endpointId)
        {
            _endpointId = new Guid(endpointId);
        }

        public Guid EndpointId
        {
            get { return _endpointId; }
        }
    }
}
