using System;
using System.Collections.Generic;
using System.Text;
using SideShow.Contents;

namespace SideShow
{
    [Serializable]
    public class ContentEventArgs : EventArgs
    {
        private Content _content;

        protected ContentEventArgs()
        {
        }

        public ContentEventArgs(Content content)
        {
            _content = content;
        }

        public Content Content
        {
            get { return _content; }
        }
    }
}
